<?php
header('Content-type: text/css');
include("../data/config.php");

$border = $settings['BORDER_WIDTH']."px ".$settings['BORDER_STYLE']." ".$settings['BORDER_COLOR'];
?>
.minicolors
{
	position: relative;
	display: inline-block;
	z-index: 1;
}
.minicolors-focus
{
	z-index: 2;
}
.minicolors.minicolors-theme-default .minicolors-input
{
    margin: 0px;
	margin-right: 3px;
	width: 65px;
	height: 16px;
	padding: 2px;
	margin-right: -1px;
}
.minicolors-theme-default.minicolors .minicolors-input
{
	vertical-align: middle;
	outline: none;
}
.minicolors-theme-default.minicolors-swatch-left .minicolors-input
{
    margin-left: -1px;
    margin-right: auto;
}
.minicolors-theme-default.minicolors-focus .minicolors-input, .minicolors-theme-default.minicolors-focus .minicolors-swatch
{
	border-color: <?php echo $settings['BORDER_COLOR']; ?>;
}
.minicolors-hidden
{
	position: absolute;
	left: -9999em;
}
.minicolors-swatch
{
	position: relative;
	width: 20px;
	height: 20px;
	text-align: left;
	background: url(../images/minicolors.png) -80px 0;
	border: <?php echo $border; ?>;
	vertical-align: middle;
	display: inline-block;
}
.minicolors-swatch span
{
	position: absolute;
	width: 100%;
	height: 100%;
	background: none;
	box-shadow: inset 0 9px 0 rgba(255, 255, 255, .1);
	display: inline-block;
}
.minicolors-panel
{
	position: absolute;
	top: 26px;
	left: 0;
	width: 173px;
	height: 152px;
	background: <?php echo $settings['COLOR_BACKGROUND_CENTER']; ?>;
	border: <?php echo $border; ?>;
	box-shadow: 0 0 20px rgba(0, 0, 0, .2);
	display: none;
}
.minicolors-position-top .minicolors-panel
{
	top: -156px;
}
.minicolors-position-left .minicolors-panel
{
	left: -83px;
}
.minicolors-position-left.minicolors-with-opacity .minicolors-panel
{
	left: -104px;
}
.minicolors .minicolors-grid
{
	position: absolute;
	top: 1px;
	left: 1px;
	width: 150px;
	height: 150px;
	background: url(../images/minicolors.png) -120px 0;
	cursor: crosshair;
}
.minicolors .minicolors-grid-inner
{
	position: absolute;
	top: 0;
	left: 0;
	width: 150px;
	height: 150px;
	background: none;
}
.minicolors-slider-saturation .minicolors-grid
{
	background-position: -420px 0;
}
.minicolors-slider-saturation .minicolors-grid-inner
{
	background: url(../images/minicolors.png) -270px 0;
}
.minicolors-slider-brightness .minicolors-grid
{
	background-position: -570px 0;
}
.minicolors-slider-brightness .minicolors-grid-inner
{
	background: black;
}
.minicolors-slider-wheel .minicolors-grid
{
	background-position: -720px 0;
}
.minicolors-slider, .minicolors-opacity-slider
{
	position: absolute;
	top: 1px;
	left: 152px;
	width: 20px;
	height: 150px;
	background: white url(../images/minicolors.png) 0 0;
	cursor: crosshair;
}
.minicolors-slider-saturation .minicolors-slider
{
	background-position: -60px 0;
}
.minicolors-slider-brightness .minicolors-slider
{
	background-position: -20px 0;
}
.minicolors-slider-wheel .minicolors-slider
{
	background-position: -20px 0;
}
.minicolors-opacity-slider
{
	left: 173px;
	background-position: -40px 0;
	display: none;
}
.minicolors-with-opacity .minicolors-opacity-slider
{
	display: block;
}
.minicolors-grid .minicolors-picker
{
	position: absolute;
	top: 70px;
	left: 70px;
	width: 10px;
	height: 10px;
	border: solid 1px black;
	border-radius: 10px;
	margin-top: -6px;
	margin-left: -6px;
	background: none;
}
.minicolors-grid .minicolors-picker span
{
	position: absolute;
	top: 0;
	left: 0;
	width: 6px;
	height: 6px;
	border-radius: 6px;
	border: solid 2px white;
}
.minicolors-picker
{
	position: absolute;
	top: 0;
	left: 0;
	width: 18px;
	height: 2px;
	background: white;
	border: solid 1px black;
	margin-top: -2px;
}
.minicolors-inline .minicolors-input, .minicolors-inline .minicolors-swatch
{
	display: none;
}
.minicolors-inline .minicolors-panel
{
	position: relative;
	top: auto;
	left: auto;
	display: inline-block;
}